.menu-headers{
    left: 0 !important;
}
.header__center h1{
    font-size: 22px;
    text-align: center;
}
.link-support{
    font-weight: bold;
}
.menu_items{
    padding-bottom: 15px;
}
.container-post{
    position: absolute;
    top: 68px;
    z-index: 99999;
    width: 100%;
    display: none;
    background-color: #fff;
    height: 500vh;
}
.content-post{
    margin-top: 25px;
}
.container-post h3{
    font-size: 20px;
    margin-bottom: 5px !important;
}
.container-post p{
    font-size: 16px;
    margin-top: 10px ;
    color: #000;
}

.custom-textarea {
    width: 100%;
    height: 180px;
    background: #EBEBEB;
    border: none;
    margin-top: 10px;
    outline: none;
    resize: none;
    padding: 18px 22px;
    font-size: 16px;
    color: #333;
    box-sizing: border-box;
}

.custom-textarea::placeholder {
    color: #666;
    font-size: 16px;
}
.regime{
    margin-top: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.regime .left-regime{
    display: flex;
    gap: 15px;
    align-items: center;
}
.regime .left-regime p{
    margin: 0 !important;
}
.regime .left-regime img{
    width: 30px;
    height: 30px;
    object-fit: contain;
}
.regime .right-regime{
    display: flex;
    gap: 7px;
    align-items: center;
    cursor: pointer;
}
.regime .right-regime p{
    margin: 0 !important;
}
.regime .right-regime img{
    width: 18px;
    height: 18px;
    object-fit: contain;
}
.btn-post{
    margin-top: 50px;
    display: flex;
    justify-content: center;
}
.btn-post img {
    width: 15%;
    cursor: pointer;
}



/* overlay */
.overlay-post {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.5);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999999;
}

/* popup */
#popupPost .content-popup {
    background: #fff;
    width: 350px;
    border-radius: 16px;
    padding: 20px 30px;
    text-align: center;
}

/* title */
#popupPost .content-popup h3 {
    margin: 0;
    font-size: 18px;
    font-weight: 600;
}

/* sub */
#popupPost .sub {
    text-align: left;
    font-size: 14px;
    margin: 15px 0 10px;
    font-weight: 550;
}

/* option */
#popupPost .option {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 13px 0;
    border-radius: 10px;
    margin: 0 10px;
}
#popupPost .option-public{
    border-bottom: 1px solid #8F8F8F;
    border-radius: 0 !important;

}

#popupPost .option .left {
    display: flex;
    align-items: center;
    gap: 12px;
}
#popupPost .option .left span{
    font-size: 14px;
    color: #000;
    font-weight: 550;
}
.container-option{
    border: 1px solid #8F8F8F;
    border-radius: 10px;
}

/* switch */
#popupPost .switch {
    position: relative;
    width: 40px;
    height: 22px;
}

#popupPost .switch input {
    display: none;
}

#popupPost .slider {
    position: absolute;
    inset: 0;
    background: #BEBEBE;
    border-radius: 20px;
    transition: 0.3s;
}

#popupPost .slider::before {
    content: "";
    position: absolute;
    width: 18px;
    height: 18px;
    background: #D21F3C;
    border-radius: 50%;
    top: 2px;
    left: 2px;
    transition: 0.3s;
}

/* active */
#popupPost .switch input:checked + .slider {
    background: #FFCCD4;
}

#popupPost .switch input:checked + .slider::before {
    transform: translateX(18px);
}

/* button */
#popupPost .btn {
    margin-top: 30px;
    width: 50%;
    padding: 12px;
    background: #D21F3C;
    border: none;
    color: white;
    font-size: 16px;
    border-radius: 25px;
    cursor: pointer;
}
#popupPost label:after{
    background: transparent !important;
}
#popupPost .option img{
    width: 20px;
    height: 20px;
    object-fit: contain;
}
.loading-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.68);
    backdrop-filter: blur(4px);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 99999999999999999999999999999;
}

/* box giữa */
.loading-box {
    padding: 20px 30px;
    border-radius: 12px;
    text-align: center;
    color: #fff;
}

/* text */
.loading-box p {
    margin-top: 30px;
    font-size: 17px;
    font-weight: 500;
    margin-bottom: 10px;
}
.loading-box span{
    font-size: 15px;
    color: #979797;
    font-weight: 500;
}

.spinner {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    position: relative;
    margin: auto;
}

.spinner::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 50%;

    background: conic-gradient(
        #b8b5ff 0deg 30deg,
        transparent 30deg 38deg,

        #a78bfa 38deg 68deg,
        transparent 68deg 76deg,

        #c084fc 76deg 106deg,
        transparent 106deg 114deg,

        #d946ef 114deg 144deg,
        transparent 144deg 152deg,

        #e879f9 152deg 182deg,
        transparent 182deg 190deg,

        #c084fc 190deg 220deg,
        transparent 220deg 228deg,

        #a78bfa 228deg 258deg,
        transparent 258deg 266deg,

        #b8b5ff 266deg 296deg,
        transparent 296deg 304deg,

        #d946ef 304deg 334deg,
        transparent 334deg 360deg
    );

    -webkit-mask: radial-gradient(farthest-side, transparent 80%, black 80%);
    mask: radial-gradient(farthest-side, transparent 80%, black 80%);

    animation: spin 1s linear infinite;
}

/* hiệu ứng màu chạy */
@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}
#popupPostMobile{
    display: none;
}
@media (max-width: 768px) {
    .container-post {
        top: 48px !important;
    }
    .btn-post img{
        width: 40%;
        margin-top: 120px;
    }
    #popupPostMobile{
        position: fixed;
        z-index: 2147483647;
        display: none;
        inset: 0px;
    }
    #popupPostMobile .popup-bg-post {
        position: absolute;
        inset: 0px;
        background: rgba(0, 0, 0, 0.66);
    }
    #popupPostMobile .content-popup {
        position: absolute;
        bottom: 0px;
        width: 100%;
        background: rgb(255, 255, 255);
        border-radius: 25px 25px 0px 0px;
        padding: 15px 20px;
    }
    #popupPostMobile .content-popup h3 {
        margin: 0 0 20px 0;
        font-size: 18px;
        font-weight: 600;
        text-align: center;

    }

    /* sub */
    #popupPostMobile .sub {
        text-align: left;
        font-size: 14px;
        margin: 15px 0 10px;
        font-weight: 550;
    }

    /* option */
    #popupPostMobile .option {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 13px 0;
        border-radius: 10px;
        margin: 0 10px;
    }


    #popupPostMobile .option .left {
        display: flex;
        align-items: center;
        gap: 12px;
    }
    #popupPostMobile .option .left span{
        font-size: 14px;
        color: #000;
        font-weight: 550;
    }
    .container-option{
        border: none !important;
    }

    /* switch */
    #popupPostMobile .switch {
        position: relative;
        width: 40px;
        height: 22px;
    }

    #popupPostMobile .switch input {
        display: none;
    }

    #popupPostMobile .slider {
        position: absolute;
        inset: 0;
        background: #BEBEBE;
        border-radius: 20px;
        transition: 0.3s;
    }

    #popupPostMobile .slider::before {
        content: "";
        position: absolute;
        width: 18px;
        height: 18px;
        background: #D21F3C;
        border-radius: 50%;
        top: 2px;
        left: 2px;
        transition: 0.3s;
    }

    /* active */
    #popupPostMobile .switch input:checked + .slider {
        background: #FFCCD4;
    }

    #popupPostMobile .switch input:checked + .slider::before {
        transform: translateX(18px);
    }

    /* button */
    #popupPostMobile .btn {
        margin: 30px auto 20px auto;
        width: 35%;
        padding: 12px;
        background: #D21F3C;
        border: none;
        color: white;
        font-size: 16px;
        border-radius: 25px;
        display: block;
        cursor: pointer;

    }
    #popupPostMobile label:after{
        background: transparent !important;
    }
    #popupPostMobile .option img{
        width: 20px;
        height: 20px;
        object-fit: contain;
    }
    #popupPostMobile .popup-text
    {
        bottom: 350px;

    }
}
